#include <stdio.h>
#include <gtk/gtk.h>

#include "mainwindow.h"
#include "mdiary.h"

int main(int argc, char *argv[])
{
	struct mainWindow *mainWindow;

	gtk_init(&argc, &argv);

	mainWindow = mainWindow_new();
	gtk_widget_show(mainWindow->mainWindow);

	mdiary_scan_to_store(argv[1], mainWindow->entryListStore, mainWindow->completionListStore);
	mainWindow_set_meta_information(mainWindow, mdiary_get_time_earliest(), mdiary_get_time_latest(), FALSE);

	gtk_main();

	return 0;
}
